Bug 146061 - umbrello appends ".xmi" to the saved diagram name when it is told not to do so
Summary: umbrello appends ".xmi" to the saved diagram name when it is told not to do so
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-28 11:38 UTC by Carlos Aceituno
Modified: 2018-07-17 06:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Aceituno 2007-05-28 11:38:21 UTC
Version:           1.5.7 (using KDE KDE 3.5.7)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc version 4.1.3 20070514 (prerelease) (Debian 4.1.2-7) 
OS:                Linux

Whenever the "Save as..." dialog is used, umbrello appends ".xmi" to the saved diagram name even when the "append .xmi..." checkbox is not checked. What's more, if you select an already existing file to be overwritten, a new file with the original name plus ".xmi" is created.

This happens in Debian testing/unstable with Umbrello 1.5.7 compiled from sources.
Comment 1 Oliver Kellogg 2007-06-12 20:03:58 UTC
Strange.
I saw this IRL but when I went hunting in GDB it no longer happened.
Comment 2 Oliver Kellogg 2007-08-12 02:57:28 UTC
SVN commit 699102 by okellogg:

slotFileSaveAs(): Apply commit 695283 from trunk which works fine, thanks Sharan.
BUG:146061


 M  +1 -0      ChangeLog  
 M  +0 -9      umbrello/uml.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/ChangeLog #699101:699102
@@ -2,6 +2,7 @@
 
 * Bugs/wishes from http://bugs.kde.org:
 * Cannot move text and label correctly after enabling snap to grid (137041)
+* Umbrello gratuitously appends ".xmi" to the saved file name (146061)
 * Wrong pascal code generation (146676)
 * Crash when linking to undefined xmi.id (146748)
 * End Activity Symbol gets invalid when line thickness is increased (146925)
--- branches/KDE/3.5/kdesdk/umbrello/umbrello/uml.cpp #699101:699102
@@ -734,15 +734,6 @@
         if(url.isEmpty())
             cont = false;
         else {
-            // now check that we have a file extension; standard will be plain xmi
-            QString file = url.path(-1);
-            QFileInfo info(file);
-            ext = info.extension();
-            if (ext != "xmi" && ext != "xmi.tgz" && ext != "xmi.tar.bz2")
-            {
-                url.setFileName(url.fileName() + ".xmi");
-                ext = "xmi";
-            }
             QDir d = url.path(-1);
 
             if(QFile::exists(d.path())) {
Comment 3 Ralf Habacker 2018-07-17 06:52:00 UTC
Git commit 9a8d91e23d7a39ac88bff6c9e38efdceec9a9933 by Ralf Habacker.
Committed on 17/07/2018 at 06:19.
Pushed by habacker into branch 'master'.

Remove commented out code

M  +0    -9    umbrello/uml.cpp

https://commits.kde.org/umbrello/9a8d91e23d7a39ac88bff6c9e38efdceec9a9933